%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}

Name:           php-channel-phpunit
# Use REST version
Version:        1.3
Release:        2%{?dist}
Summary:        Adds phpunit channel to PEAR

Group:          Development/Languages
License:        BSD
URL:            http://pear.phpunit.de
Source0:        http://pear.phpunit.de/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php >= 5.1.4 php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-channel(pear.phpunit.de)

%description
This package adds the phpunit channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{pear_xmldir}/%{name}.xml


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq  1 ] ; then
   %{__pear} channel-add %{pear_xmldir}/%{name}.xml > /dev/null || :
else
   %{__pear} channel-update %{pear_xmldir}/%{name}.xml > /dev/null ||:
fi


%postun
if [ $1 -eq 0 ] ; then
   %{__pear} channel-delete pear.phpunit.de > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml


%changelog
* Fri Dec 18 2009 Remi Collet <Fedora@FamilleCollet.com> - 1.3-2
- missing Requires for post/postun

* Fri Dec 18 2009 Remi Collet <Fedora@FamilleCollet.com> - 1.3-1
- update for REST 1.3 and new URL (#542417)
- rename pear.phpunit.de.xml to php-channel-phpunit.xml

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 29 2006 Christopher Stone <chris.stone@gmail.com> 1.0-2
- Add virtual provides on channel name

* Wed Dec 27 2006 Christopher Stone <chris.stone@gmail.com> 1.0-1
- Initial Release
